Bug 55800 - Tools Options Colors Edit - Hex - any value forces grey
Summary: Tools Options Colors Edit - Hex - any value forces grey
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.7.0 target:3.6.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-09 10:50 UTC by Rob Cain
Modified: 2012-10-28 21:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Cain 2012-10-09 10:50:26 UTC
LibreOffice 3.5.4.2 Draw - Tools Options Colours Edit - Hex - input any hex value into the 'Hex' input field and RGB is forced to (some shade of) grey. (ie R=G=B). 

This makes it impossible to set a custom colour from a supplied hex code.
Comment 1 Not Assigned 2012-10-22 16:29:04 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8545bf9afc3d4adfd3e7d33c5063a3ee259327a6

fdo#55800: fix hex color conversion



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Ivan Timofeev (retired) 2012-10-22 16:41:22 UTC
Thanks for the report! Fixed now. I'll propose the fix for 3.6. (oh, and this is not a blocker of course ;)
Comment 3 Rob Cain 2012-10-22 16:52:44 UTC
Thanks Ivan. Great work! :)

Look forward to seeing it in the next release.

btw: please could you point me to a guide on correct definitions of 'importance', etc. (assumed 'blocker' meant 'function blocker' - ie. 'no workaround available/possible')? thanks.
Comment 4 Ivan Timofeev (retired) 2012-10-22 17:13:11 UTC
(In reply to comment #3)
> btw: please could you point me to a guide on correct definitions of
> 'importance', etc. (assumed 'blocker' meant 'function blocker' - ie. 'no
> workaround available/possible')? thanks.

no, 'blocker' means 'release blocker', so new releases must be delayed until all "blockers" are fixed.
http://wiki.documentfoundation.org/BugReport_Details#Severity
Comment 5 Not Assigned 2012-10-22 19:41:19 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66446668dad9dfb8394fe3e6afcff78662efc63a&g=libreoffice-3-6

fdo#55800: fix hex color conversion


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-10-23 06:53:14 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5725f17bf8bf240348994ee671ad1a984e701f03&g=libreoffice-3-6-3

fdo#55800: fix hex color conversion


It will be available already in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2012-10-28 21:09:16 UTC
Verified on LO 3.6.3.2

Thank you.